We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The React step line chart is like a line chart except that the data points are connected using vertical and horizontal lines, showing a step-like progress. Supports features like zooming, panning, animation, and dynamic updates.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Enable zooming and panning support when dealing with large amount of data to visualize the data point in any region.


Dynamic stepline chart

Create and update the stepline chart with live data that changes over seconds or minutes.


Empty/null data point

Handle the missed data elegantly with empty points support.


Vertical chart

The stepline chart can be transposed vertically to view the data in a different perspective.


Customization

Customize the color, thickness, and dash array of the stepline chart using built-in APIs.


Code snippet

Easily get started with the React stepline chart using a few simple lines of HTML and JS code, as demonstrated below. Also explore our React stepline chart example that shows you how to render and configure the charts.

import {AxisModel,ChartComponent,DateTime,Inject,SeriesCollectionDirective, SeriesDirective, StepLineSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { };
  public data1: any[]= [
    { x: new Date(1975, 0, 1), y: 16 },
    { x: new Date(1980, 0, 1), y: 12.5 },
    { x: new Date(1985, 0, 1), y: 19 },
    { x: new Date(1990, 0, 1), y: 14.4 },
    { x: new Date(1995, 0, 1), y: 11.5 },
    { x: new Date(2000, 0, 1), y: 14 },
    { x: new Date(2005, 0, 1), y: 10 },
    { x: new Date(2010, 0, 1), y: 16 }];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[StepLineSeries, DateTime]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='StepLine'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Stepline Chart User Guide

Learn the available options to customize React stepline chart.

API

Stepline Chart API Reference

Explore the React stepline chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The Angular step line chart is like a line chart except that the data points are connected using vertical and horizontal lines, showing a step-like progress. Supports features like zooming, panning, animation, and dynamic updates.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Enable zooming and panning support when dealing with large amount of data to visualize the data point in any region.


Dynamic stepline chart

Create and update the stepline chart with live data that changes over seconds or minutes.


Empty/null data point

Handle the missed data elegantly with empty points support.


Vertical chart

The Angular Stepline Chart can be transposed vertically to view the data in a different perspective.


Customization

Customize the color, thickness, and dash array of the stepline chart using built-in APIs.


Code snippet

Easily get started with Angular Step Line using a few simple lines of JS code, as demonstrated below. Also explore our Angular Step Line Chart Example that shows you how to render and configure the spline area chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='StepLine' xName='x' yName='y'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
                    { x: new Date(1975, 0, 1), y: 16 },
                    { x: new Date(1980, 0, 1), y: 12.5 },
                    { x: new Date(1985, 0, 1), y: 19 },
                    { x: new Date(1990, 0, 1), y: 14.4 },
                    { x: new Date(1995, 0, 1), y: 11.5 },
                    { x: new Date(2000, 0, 1), y: 14 },
                    { x: new Date(2005, 0, 1), y: 10 },
                    { x: new Date(2010, 0, 1), y: 16 }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'DateTime',
     
};
}

//app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { StepLineSeriesService, DateTimeService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ StepLineSeriesService, DateTimeService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Stepline Chart User Guide

Learn the available options to customize Angular Stepline Chart.

API

Stepline Chart API Reference

Explore the Angular Stepline Chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon